Skip to main content
GET
/
stats
/
hot-smart-contracts
Retrieve hot smart-contracts
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/stats/hot-smart-contracts?apikey='
{
  "items": [
    {
      "balance": "<string>",
      "contract_address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "total_gas_used": 2,
      "transactions_count": 2
    }
  ],
  "next_page_params": {
    "contract_address_hash": "0x01a2A10583675E0e5dF52DE1b62734109201477a",
    "items_count": 50,
    "total_gas_used": "100",
    "transactions_count": 100
  }
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

sort
enum<string>

Sort transactions by:

  • block_number - Sort by block number
  • value - Sort by transaction value
  • fee - Sort by transaction fee
  • balance - Sort by account balance
  • transactions_count - Sort by number of transactions on address
  • fiat_value - Sort by fiat value of the token transfer
  • holders_count - Sort by number of token holders
  • circulating_market_cap - Sort by circulating market cap of the token Should be used together with order parameter.
Available options:
transactions_count,
total_gas_used
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
scale
enum<string>
required

Time scale for hot contracts aggregation (5m=5 minutes, 1h=1 hour, 3h=3 hours, 1d=1 day, 7d=7 days, 30d=30 days)

Available options:
5m,
1h,
3h,
1d,
7d,
30d
transactions_count
integer

Transactions count for paging

Required range: x >= 1
total_gas_used
integer

Total gas used for paging

Required range: x >= 0
contract_address_hash
string

Contract address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

Paginated list of hot smart-contracts.

items
HotContract · object[]
required
next_page_params
object
required
Example:
{
"contract_address_hash": "0x01a2A10583675E0e5dF52DE1b62734109201477a",
"items_count": 50,
"total_gas_used": "100",
"transactions_count": 100
}